### Method

# WebKit MemoryPressureSettings set_conservative_threshold

since: 2.34

#### Declaration [src]

    void
    webkit_memory_pressure_settings_set_conservative_threshold (
      WebKitMemoryPressureSettings* settings,
      gdouble value
    )

#### Description [src]

Sets the memory limit for the conservative policy to start working.

Sets `value` as the fraction of the defined memory limit where the conservative policy starts working. This policy will try to reduce the memory footprint by releasing non critical memory.

The threshold must be bigger than 0 and smaller than 1, and it must be smaller than the strict threshold defined in `settings`. The default value is 0.33.

Available since: 2.34

#### Parameters

`value`

  Type: `gdouble`

  Fraction of the memory limit where the conservative policy starts working.